C     SET UP FINITE ELEMENT PROGRAM DATA 
C     IN THIS CASE A RECTANGULAR GRID FOR
C     A CANTILEVER BEAM WITH A SINGLE END LOAD
      NX=10
      NY=10
      T=1. 
      H=30. 
      AL=30. 
      NN=NX*NY 
      NS=NY 
      NB=(NX-1)*(NY-1)*2 
      WRITE(60,150) NB,NN,NS 
      DX=AL/FLOAT(NX-1) 
      DY=H/FLOAT(NY-1) 
      L=0 
      X=AL+DX 
      DO 1 I=1,NX 
      X=X-DX 
      Y=-DY 
      DO 1 J=1,NY 
      Y=Y+DY 
      L=L+1 
      PX=0 
      PY=0. 
      IF(L.EQ.1) PY=-270000. 
    1 WRITE(60,156)X,Y,PX,PY 
      L=-1 
      NX1=NX-1 
      NY1=NY-1 
      DO 2 I=1,NX1 
      DO 2 J=1,NY1 
      L=L+2 
      M=J+(I-1)*NY 
      M1=M+1 
      MNY=M+NY 
      MY1=MNY+1 
      WRITE(60,151)MNY,M,M1,T 
    2 WRITE(60,151)MNY,M1,MY1,T 
  150 FORMAT(3(I4,3X)) 
  151 FORMAT(3I5,8X,E20.8) 
  156 FORMAT(8X,4F11.6) 
      STOP
      END
